Subject: [clouds] IESG/IAB response to the Clouds BOF request in Beijing

From: Alexey Melnikov <[email-masked]>
Date: Fri, 17 Sep 2010 20:57:24 +0100

Hi,
IESG/IAB discussed the Cloud BOF request at lenght on September 16th and 
decided not to approve the BOF. IESG/IAB believes that the proposed WG
Charter covers too many topics and thus is not ready for discussion with 
a wider IETF audience. While IESG/IAB believe that cloud-related 
technologies
are important to IETF, the current BOF proposal covers at least 5 out of 
7 IETF Areas (and possibly all 7 of them) and thus the proposal has a high
probability of failing. The IESG/IAB suggest limiting the scope to two 
or three specific aspects of the cloud problem. The "Address Resolution 
for Massive amount of hosts in one broadcast Domain" (AMRD) BOF request, 
which was named as a topic in your BOF request and was approved because 
it was limited to a specific aspect of the cloud problem, is one example 
of that approach

Several IESG/IAB members expressed their willingness to have a small and 
informal meeting with BOF proponents during the Beijing IETF to help 
structure one or more proposals that are more likely to be accepted by 
the IETF community and the IETF leadership.

Alexey,
On behalf of IESG & IAB

---

From: Alexey Melnikov <[email-masked]>
Date: Fri, 17 Sep 2010 21:03:58 +0100

(Speaking as myself now):

I decided to look at the latest list of deliverabled in order to get 
some idea of how different proposed work items fit into different IETF 
Areas:

> The deliverables of the working group are as follows:
>
> A survey of activities of the Cloud Standards Development 
> Organizations (SDOs) and Working Groups (WGs) will be conducted and 
> the results will be analyzed for publication as an informational 
> Internet draft. This will be based on the 
> draft-khasnabish-cloud-survey-00.txt (available at 
> http://trac.tools.ietf.org/area/app/trac/wiki/Clouds). Tentative 
> publication date is March 2011.
>
> A Cloud reference framework will be developed using the currently 
> available and widely recognized Cloud Reference Frameworks. This will 
> be based on the information that that are being collected in 
> Khasnabish-et-al-IETF-78-Cloud-Reference-Framework-v3b-5Aug2010.ppt 
> (available at http://trac.tools.ietf.org/area/app/trac/wiki/Clouds). 
> Tentative publication date is July 2011.
>
This can live in Apps, but in general IETF is not very successful in 
dealing with reference frameworks.

> A survey of industry gaps in terms of work items related to exposing 
> Cloud resources, and provisioning and managing cloud-based services 
> will be conducted. This will not only help us identify the area where 
> open, hybrid, and proprietary mechanism are utilized, it will also 
> enable us prioritize the work items. This will be published as an 
> Informational Internet draft 
> (draft-Khasnabish-et-al-cloud-Industry-gap-00) in July 2011 using the 
> materials that are already available in 
> Khasnabish-et-al-cloud-Industry-gap-v3-Sept10.pdf (available at 
> http://trac.tools.ietf.org/area/app/trac/wiki/Clouds).
>
O&M

> A draft on cloud-based video streaming service will be prepared using 
> the mechanism that is presented during IETF-78 Clouds bar BoF 
> (draft-wei-dewar-cloud-video-sreaming-00 based on 
> Wei-Dewar-IETF-78-Clouds-bar-BoF-Cloud-Video-Streaming-29July10.pdf, 
> available at http://trac.tools.ietf.org/area/app/trac/wiki/Clouds). 
> This will be published in July 2011.
>
RAI.

> A draft related to HTTP enhancement will be developed for use in 
> client and platform side APIs. That draft will be based on the 
> proposal that has been presented during IETF-78 Clouds bar BoF 
> (Johnston-IETF-78-Clouds-bar-BoF-Std-Gap-28July10.pdf) and is 
> available at http://trac.tools.ietf.org/area/app/trac/wiki/Clouds. 
> Tentative publication date for this draft is July 2011.
>
Apps.

> A draft on maintaining Logs of Cloud services will be prepared using 
> the proposal presented in draft-golovinsky-cloudlog-00 
> (Golovinsky-IETF-78-Clouds-bar-BoF-Cloud-Logging-28July10.pptx, 
> available at http://trac.tools.ietf.org/area/app/trac/wiki/Clouds) and 
> the tentative publication date for this draft is July 2011.
>
Apps or O&M

> A draft on Cloud service auditing will be prepared by Hoff, Johnston, 
> Sapiro, and Reese using the existing draft-hoff-cloudaudit-00. 
> Publication date for this draft is November 2011.
>
O&M

> Two drafts are being proposed for address resolution and VPN extension 
> to private clouds. These are draft-dunbar-arp-for-large-dc-* 
> (Dunbar-et-al-IETF-78-Clouds-bar-BoF-Cloud-Address-Resolution-28July10.pdf, 
> available at http://trac.tools.ietf.org/area/app/trac/wiki/Clouds),
>
This looks like ARMD BOF that was received by the Int Area.

> and draft-ning-vepc-requirements-* 
> (So-et-al-IETF-78-Clouds-bar-BoF-VEPC-Req-28July2010.ppt, available at 
> http://trac.tools.ietf.org/area/app/trac/wiki/Clouds). These are 
> tentatively scheduled for publication in March 2012.
>
Internet Area

> A draft specifying protocols for supporting and maintaining intra- and 
> inter-domain mobility of resources will be prepared using the concepts 
> presented in Morrow-IETF-78-Clouds-bar-BoF-Resource-Mobility-28July10.pdf
>
> (available at http://trac.tools.ietf.org/area/app/trac/wiki/Clouds). 
> This draft draft-morrow-cloud-resource-mobility-00 will be published 
> in July 2012.
>
Internet Area

> The group will also prepare (i) a draft specifying the management 
> information model for virtual networks in Platform-as-a-Service (PaaS) 
> that are using server virtualization using 
> Okita-Clouds-VNM-model-for-PaaS-Sept10.pdf (available at 
> http://trac.tools.ietf.org/area/app/trac/wiki/Clouds) with publication 
> date of Sept. 2012, and (ii) a draft on Virtualization and mobility of 
> core IMS (IP multimedia sub-system) resources using 
> Yokota-Clouds-Telecom-Net-Virtualization-Sept10.pdf (available at 
> http://trac.tools.ietf.org/area/app/trac/wiki/Clouds) with publication 
> date TBD.
>
O&M.

> A few additional proposals are currently being socialized through 
> discussions in [email-masked] and the weekly conference calls. These 
> include the following: (1) Development of Virtual desktop for mobile 
> clients,
>
Apps or RAI.

> and (2) Cloud security and service trustworthiness.
>
Security.

> These will be presented during subsequent Clouds meeting, and the 
> related drafts will be published in future.
>

---

From: Marc Blanchet <[email-masked]>
Date: Fri, 17 Sep 2010 16:09:10 -0400

> some idea of how different proposed work items fit into different IETF

but, these days, most protocols touch many areas. A good example of this 
is security: most if not all protocols has a security component.

So we shall live with some overlap. We shall define specific topics and 
find the best home for the potential wg.

To me, the problem is not that much of which or all areas, but instead a 
more focused, more scoped approach to the problem in the charter. 
identifying the best area comes somewhat later (to me, but I'm not an AD).

Mar.c

> _______________________________________________
> clouds mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clouds

-- 
=========
IPv6 book: Migrating to IPv6, Wiley. http://www.ipv6book.ca
Stun/Turn server for VoIP NAT-FW traversal: http://numb.viagenie.ca
DTN news service: http://reeves.viagenie.ca
NAT64-DNS64 Opensource: http://ecdysis.viagenie.ca

---

From: Alexey Melnikov <[email-masked]>
Date: Fri, 17 Sep 2010 21:13:25 +0100

Marc Blanchet wrote:

> but, these days, most protocols touch many areas. A good example of 
> this is security: most if not all protocols has a security component.
>
> So we shall live with some overlap. We shall define specific topics 
> and find the best home for the potential wg.

Agreed.

> To me, the problem is not that much of which or all areas, but instead 
> a more focused, more scoped approach to the problem in the charter. 

A successful BOF/WG can cover multiple areas, but if it covers most of 
the areas, this is a good indicator that the effort is not focused 
enough to be successful.

>>> presented in 
>>> Morrow-IETF-78-Clouds-bar-BoF-Resource-Mobility-28July10.pdf
>>>
-- 
IETF Application Area Director, <http://www.ietf.org/iesg/members.html>
Internet Messaging Team Lead, <http://www.isode.com>
JID: same as my email address

---

From: "Spencer Dawkins" <[email-masked]>
Date: Fri, 17 Sep 2010 15:29:46 -0500

Just to echo what Alexey said ... and speaking as an individual ...

It is true that there are protocols that touch multiple areas, and the IESG 
did approve at least one BOF request that is RIGHT on the border between TSV 
and INT yesterday, so that's not a fatal flaw.

What concerned me is that there were so many work items that were spread 
across so many areas. I can't imagine chairing a group like that - I'm not 
even sure I can imagine filling out the conflict list!

I agree with Alexey here. My suggestion is to identify small discrete work 
items, focusing on what the protocol work is (because that's what IETF does 
best), and submit them individually to the right area directors.

I hope this is helpful.

Spencer

---

From: Bhumip Khasnabish <[email-masked]>
Date: Sun, 26 Sep 2010 13:21:13 -0400

Thanks for your comments and suggestions, Spencer.

In addition to developing the proposed drafts, we are continuing to work on
resolving the overlap and scope issues. We plan to hold another Clouds bar
BoF during IETF-79.

The Clouds BoF proponents will meet with the IAB/IESG during IETF-79 in
Beijing. Alexey is helping us confirm further details of that 'small and
informal' mtg.

Best.

 On Fri, Sep 17, 2010 at 4:29 PM, Spencer Dawkins <[email-masked]
> wrote:

-- 
Best Regards.

Bhumip Khasnabish (Mobile:+001-781-752-8003, [email-masked])

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 28 Sep 2010 12:00:51 -0600

On 9/26/10 11:21 AM, Bhumip Khasnabish wrote:
> In addition to developing the proposed drafts, we are continuing to work
> on resolving the overlap and scope issues. We plan to hold another
> Clouds bar BoF during IETF-79.
>  

To be clear, this small and informal meeting will not be a meeting with
the IAB/IESG (if nothing else, a meeting with the full IAB + IESG would
not qualify as "small"!). I think it is best to see this an informal
get-together between (1) some proponents of clouds-related work at the
IETF, who seemingly do not have a strong understanding of IETF processes
and culture, and (2) some folks who have a lot of IETF experience and
wish to help the clouds proponents strengthen their "IETF clue". The
fact that some of the people in (2) happen to be currently serving on
the IAB or IESG is mostly immaterial here.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/